#This file is part of Tryton.  The COPYRIGHT file at the top level of
#this repository contains the full copyright notices and license terms.
from trytond.pool import PoolMeta
from trytond.model import ModelView, ModelSQL, fields

__all__ = ['Employee', 'Event']
__metaclass__ = PoolMeta


class Employee:
    __name__ = 'company.employee'
    events = fields.One2Many('staff.event', 'employee', 'Events')

    @classmethod
    def __setup__(cls):
        super(Employee, cls).__setup__()

class Event(ModelSQL, ModelView):
    'Staff Event'
    __name__ = 'staff.event'
    description = fields.Text("Description", required=True)
    employee = fields.Many2One('company.employee', 'Employee')
    category = fields.Many2One('staff.event_category', 'Category', required=True)
    date_start = fields.Date('Date Start', required=True)
    date_end = fields.Date('Date End')

    @classmethod
    def __setup__(cls):
        super(Event, cls).__setup__()
